דילוג לתוכן

Fibo · Structured Prompt

שילוב

מזהה מודל bria/fibo/generate/structured_prompt
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ⁨‏0.01 ‏$⁩ 10 קרדיטי API הרצה בדף הזה

קבלת מפתח API
Bria AI LLM #bria#fibo#structured-prompting

הופך הנחיה או תמונת ייחוס לתיאור JSON מובנה של Fibo במקום לרנדר תמונה

Bria AI · נתונים (JSON)

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

הנחיה ששימשה ליצירת תמונות.

מתקדם image · seed · structured_prompt
image_url
גרור קובץ, או

תמונת עיון שסופקה כקובץ או ככתובת URL.

ברירת מחדל 5555

Seed השולט באקראיות לקבלת תוצאות שניתנות לשחזור.

הנחיה מובנית ששימשה ליצירת תמונה.

POST /run/bria/fibo/generate/structured_prompt?wait=20 הצעת מחיר → ⁨‏0.01 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo/generate/structured_prompt?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Fibo · Structured Prompt

נקודת קצה בסגנון מודל שפה שמחזירה את ההנחיה המובנית לתמונה, ולא את התמונה עצמה. הקלט כולל `prompt`, `structured_prompt` קיים או `image_url` לייחוס, וכן `seed`. פלט ה-JSON כולל שדות כגון אסתטיקה, תאורה, אובייקטים, מאפיינים צילומיים, תיאור קצר, מדיום סגנוני וטקסט לרינדור.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
promptאופציונלי
סוגstring | null
הנחיה ששימשה ליצירת תמונות.
structured_promptאופציונלי
סוגobject
הנחיה מובנית ששימשה ליצירת תמונה.
structured_prompt.short_descriptionאופציונלי
סוגstring | null
תיאור קצר של תמונת הפלט הרצויה.
structured_prompt.objectsאופציונלי
סוגobject[]
ברירת מחדל[]
ציינו את תוכן התמונה שנוצרה כרשימה, תוך תיעוד המאפיינים של כל אובייקט והקשרים שלו עם האובייקטים האחרים המוצגים.
structured_prompt.objects[].descriptionאופציונלי
סוגstring | null
תיאור אובייקט הפלט הרצוי.
structured_prompt.objects[].locationאופציונלי
סוגstring | null
מיקום האובייקט בתוך התמונה.
structured_prompt.objects[].relationshipחובה
סוגstring
הקשר של האובייקט לאובייקטים האחרים בתמונה.
structured_prompt.objects[].relative_sizeאופציונלי
סוגstring | null
גודל האובייקט ביחס לתמונה.
structured_prompt.objects[].shape_and_colorאופציונלי
סוגstring | null
צורת האובייקט וצבעו.
structured_prompt.objects[].textureאופציונלי
סוגstring | null
מרקם האובייקט.
structured_prompt.objects[].appearance_detailsאופציונלי
סוגstring | null
פרטים המתארים את מראה האובייקט.
structured_prompt.objects[].number_of_objectsאופציונלי
סוגinteger | null
מספר האובייקטים בתוך התמונה.
structured_prompt.objects[].poseאופציונלי
סוגstring | null
תנוחת האובייקט המוצג.
structured_prompt.objects[].expressionאופציונלי
סוגstring | null
ההבעה המוצגת על ידי האובייקט.
structured_prompt.objects[].clothingאופציונלי
סוגstring | null
הבגדים שלובש האובייקט המוצג.
structured_prompt.objects[].actionאופציונלי
סוגstring | null
הפעולה שמבצע האובייקט המוצג.
structured_prompt.objects[].genderאופציונלי
סוגstring | null
המגדר של האובייקט המוצג.
structured_prompt.objects[].skin_tone_and_textureאופציונלי
סוגstring | null
מרקם וגוון העור של האובייקט המוצג.
structured_prompt.objects[].orientationאופציונלי
סוגstring | null
כיוון האובייקט המוצג.
structured_prompt.background_settingאופציונלי
סוגstring | null
הגדרת הרקע של התמונה שנוצרה.
structured_prompt.lightingאופציונלי
סוגobject
תאורה עבור התמונה שנוצרה.
structured_prompt.lighting.conditionsאופציונלי
סוגstring | null
תנאי התאורה עבור התמונה שנוצרה.
structured_prompt.lighting.directionאופציונלי
סוגstring | null
כיוון התאורה עבור התמונה שנוצרה.
structured_prompt.lighting.shadowsאופציונלי
סוגstring | null
צללים שיוצגו בתמונה שנוצרה.
structured_prompt.aestheticsאופציונלי
סוגobject
מאפיינים אסתטיים של התמונה שנוצרה.
structured_prompt.aesthetics.compositionאופציונלי
סוגstring | null
קומפוזיציה עבור התמונה שנוצרה.
structured_prompt.aesthetics.color_schemeאופציונלי
סוגstring | null
פלטת הצבעים של התמונה שנוצרה.
structured_prompt.aesthetics.mood_atmosphereאופציונלי
סוגstring | null
מצב רוח ואווירה עבור התמונה שנוצרה.
structured_prompt.aesthetics.aesthetic_scoreאופציונלי
סוגstring | null
ציון אסתטי של התמונה שנוצרת.
structured_prompt.aesthetics.preference_scoreאופציונלי
סוגstring | null
ציון העדפה של התמונה שנוצרת.
structured_prompt.photographic_characteristicsאופציונלי
סוגobject
מאפיינים צילומיים של התמונה שנוצרה.
structured_prompt.photographic_characteristics.depth_of_fieldאופציונלי
סוגstring | null
עומק השדה של התמונה שנוצרה.
structured_prompt.photographic_characteristics.focusאופציונלי
סוגstring | null
מיקוד עבור התמונה שנוצרה.
structured_prompt.photographic_characteristics.camera_angleאופציונלי
סוגstring | null
זווית המצלמה עבור התמונה שנוצרה.
structured_prompt.photographic_characteristics.lens_focal_lengthאופציונלי
סוגstring | null
הגדרת העדשה עבור התמונה שנוצרה, המבוטאת באורך מוקד.
structured_prompt.style_mediumאופציונלי
סוגstring | null
המדיום הסגנוני של התמונה שנוצרה.
structured_prompt.text_renderאופציונלי
סוגany[]
ברירת מחדל[]
רשימת רשומות טקסט שיש לכלול בתמונה.
structured_prompt.contextאופציונלי
סוגstring | null
הקשר עבור התמונה שנוצרה.
structured_prompt.artistic_styleאופציונלי
סוגstring | null
הסגנון האמנותי של התמונה שנוצרה.
structured_prompt.trigger_wordאופציונלי
סוגstring | null
structured_prompt.sub_trigger_wordאופציונלי
סוגstring | null
structured_prompt.art_directionאופציונלי
סוגstring | null
structured_prompt.action_descriptionאופציונלי
סוגstring | null
structured_prompt.actor_prefixאופציונלי
סוגstring | null
image_urlאופציונלי image
סוגurl · image
תמונת עיון שסופקה כקובץ או ככתובת URL.
seedאופציונלי
סוגinteger
ברירת מחדל5555
Seed השולט באקראיות לקבלת תוצאות שניתנות לשחזור.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo/generate/structured_prompt",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "aesthetic_score": "string",
      "preference_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
short_description
string | nullתיאור קצר של תמונת הפלט הרצויה.
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullציינו את תוכן התמונה שנוצרה כרשימה, תוך תיעוד המאפיינים של כל אובייקט והקשרים שלו עם האובייקטים האחרים המוצגים.
background_setting
string | nullהגדרת הרקע של התמונה שנוצרה.
lighting
object {conditions, direction, shadows} | nullתאורה עבור התמונה שנוצרה.
aesthetics
object {composition, color_scheme, mood_atmosphere, aesthetic_score, preference_score} | nullמאפיינים אסתטיים של התמונה שנוצרה.
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullמאפיינים צילומיים של התמונה שנוצרה.
style_medium
string | nullהמדיום הסגנוני של התמונה שנוצרה.
text_render
array of any | nullרשימת רשומות טקסט שיש לכלול בתמונה.
context
string | nullהקשר עבור התמונה שנוצרה.
artistic_style
string | nullהסגנון האמנותי של התמונה שנוצרה.

מודלים נוספים: LLM

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/bria/fibo/generate/structured_prompt.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt